<!--- 
	csw-slider-menu-rh.cfm
	
	Version: [2018-01-08 17:00]
--->

<cfscript>
	// Create the Icon Textblock Component 
	csWidget = CreateObject('component','csw-slider-menu');
	
	// load necessary resources
	csWidget.loadResources();

	// exit if all we're doing is detecting required resources
	if( Request.RenderState.RenderMode EQ "getResources" )
		exit;

	if( NOT structKeyExists(attributes,'elementinfo') )
		exit;
		
	// Slider Menu render once check 	
	if( structKeyExists(request,'cswSliderMenuLoaded') )
	{
		WriteOutput('<strong><em>The Slider Menu Widget can only be loaded once on a page.</em></strong>');
		exit;
	}
	request.cswSliderMenuLoaded = 1;

	// Load the Properties from the metadata form
	props = csWidget.loadProperties(Attributes.ElementInfo,Variables.Caller);	
	
	// Make sure we have Props data
	if( NOT csWidget.hasProperties(props) )
		exit;
	
	// Get the element Data and Render the items
	if( StructKeyExists(Attributes.ElementInfo.ElementData, 'TreeNodes') )
		csWidget.getAndRenderItems( Attributes.ElementInfo.ElementData, Attributes.ElementInfo.ElementParams, props );
</cfscript>
